#!/bin/sh

BUILD_DIR=`pwd` > /dev/null
#BUILD_DIR=${BUILD_DIR%/*}
echo "$BUILD_DIR"

echo "Please Select Platform"
echo "1. x86/x64"
echo "2. arm for tegra"
read PLATFORM_VALUE
case $PLATFORM_VALUE in
1)
	PLATFORM_VALUE=x86_x64
	export PLATFORM_VALUE
	SUFFIX=x86_x64
	export SUFFIX
;;
2)
	PLATFORM_VALUE=arm_for_tegra
	export PLATFORM_VALUE
	SUFFIX=tegra
	export SUFFIX
	echo "Please input complie kernel path, example complie kernel path: /usr/src/linux-headers-4.9.140-tegra-ubuntu18.04_aarch64/kernel-4.9/"
	read KDIR_V
	KDIR=$KDIR_V
	export KDIR
;;
*)
	PLATFORM_VALUE=x86_x64
	export PLATFORM_VALUE
	SUFFIX=x86_x64
	export SUFFIX
	echo "Selected Nothing"
;;
esac

echo "Please Select Capture Card!"
echo "1. cl311mn"
echo "2. cl311m2"
echo "3. cm311h"
echo "4. cn311h"
echo "5. cn312s"
echo "6. cn312m"
echo "7. cl314H1"
echo "8. cl312H1"

read BOARD
case $BOARD in
1)
	echo "Selected Capture Card cl311mn"
	BOARD=cl311mn
	BOARD_MARCO=AVER_CARD_CL311MN
;;
2)
	echo "Selected Capture Card cl311m2"
	BOARD=cl311m2
	BOARD_MARCO=AVER_CARD_CL311M2
;;
3)
	echo "Selected Capture Card cm311h"
	BOARD=cx311h
	BOARD_MARCO=AVER_CARD_CM311H
;;
4)
	echo "Selected Capture Card cn311h"
	BOARD=cx311h
	BOARD_MARCO=AVER_CARD_CM311H
;;
5)
	echo "Selected Capture Card cn312s"
	BOARD=cn312s
	BOARD_MARCO=AVER_CARD_CN312S
;;
6)
	echo "Selected Capture Card cn312m"
	BOARD=cn312m
	BOARD_MARCO=AVER_CARD_CN312M
;;
7)
	echo "Selected Capture Card cl314H1"
	BOARD=cx311h
	BOARD_MARCO=AVER_CARD_CM311H
;;
8)
	echo "Selected Capture Card cl312H1"
	BOARD=cx311h
	BOARD_MARCO=AVER_CARD_CM311H
;;
*)
	echo "Selected Nothing"
;;
esac

export BOARD
export BUILD_DIR
export BOARD_MARCO

make -C driver clean
make -C driver
cp driver/$BOARD.ko ./


