/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/* 
 * File:   cn312_reg.h
 * Author: 
 *
 * Created on Jan 25, 2018
 */

#ifndef CN312_REG_H
#define CN312_REG_H

#ifdef __cplusplus
extern "C" {
#endif


/*slave address*/
#define		XILINX_hdmi_SLAVE			0x4E

/*sub address*/
//Global Register Map
#define		FPGA_VERSION				0x00
#define		FPGA_VENDER				0x04
#define		FPGA_RESET				0x08

//for v_hdmi_Rx and v1_hdmi_BT1120_444_Out
#define		V_hdmi_BT1120(ch)			0x10 + ch*0x80
#define		V_hdmi_BT1120_ENABLE			0//Bit
#define		V_hdmi_BT1120_DUAL_STREAM_SEL	1//Bit

//from v_hdmi_Rx
#define		V_hdmi_RX_STANDARD(ch)			0x14 + ch*0x80
#define		V_hdmi_RX_COLOR(ch)			0x20 + ch*0x80
#define		V_hdmi_RX_COLOR_FORMAT_RGB		1//Bit
#define		V_hdmi_RX_COLOR_422_10BIT		2//Bit
#define		V_hdmi_RX_COLOR_444_10BIT		3//Bit
#define		V_hdmi_RX_COLOR_422_12BIT		4//Bit
#define		V_hdmi_RX_COLOR_444_12BIT		5//Bit
#define		V_hdmi_I2S_SAMPLE_RATE(ch)		0x24 + ch*0x80
//for v_hdmi_frame_detect
#define		V_hdmi_RX_LOCK(ch)			0x30 + ch*0x80
#define		V_hdmi_RX_LOCK_STABLE			0//Bit
#define		V_hdmi_SAMPLES_CNT(ch)			0x34 + ch*0x80
#define		V_hdmi_LINES0_CNT(ch)			0x38 + ch*0x80
#define		V_hdmi_LINES1_CNT(ch)			0x3C + ch*0x80
#define		V_hdmi_FRAME_RATE_CNT(ch)		0x40 + ch*0x80
#define		V_hdmi_AUSIO_RATE_CNT(ch)		0x44 + ch*0x80
//for v_hdmi_I2S_Out
#define		V_hdmi_I2S(ch)				0x54 + ch*0x80
#define		V_hdmi_I2S_ENABLE			0//Bit
#define		V_hdmi_I2S_OUT_CH0(ch)			0x58 + ch*0x80
#define		V_hdmi_I2S_OUT_CH1(ch)			0x5C + ch*0x80
#define		V_hdmi_I2S_OUT_CH2(ch)			0x60 + ch*0x80
#define		V_hdmi_I2S_OUT_CH3(ch)			0x64 + ch*0x80
//for xadc
#define		XADC_TEMP_OUT				0xF0

#define		V_RX_STATUS(ch)				0x100 + ch*0x200
#define		V_ENH_CADJ_EN(ch)			0x240 + ch*0x200
#define		V_ENH_CADJ_EN_ENABLE			0//Bit
#define		V_ENH_CADJ_CONTRAST(ch)			0x244 + ch*0x200
#define		V_ENH_CADJ_BRIGHTNESS(ch)		0x248 + ch*0x200
#define		V_ENH_CADJ_HUE(ch)			0x24C + ch*0x200
#define		V_ENH_CADJ_SATURATION(ch)		0x250 + ch*0x200

#define		V_RGB_TO_YUV_EN(offset)				0x00 + offset
#define		V_RGB_TO_YUV_EN_ENABLE				0//Bit
#define		V_422_TO_444_EN_ENABLE				1//Bit
#define		V_R2Y_Y_R_COEF(offset)				0x10 + offset
#define		V_R2Y_Y_G_COEF(offset)				0x14 + offset
#define		V_R2Y_Y_B_COEF(offset)				0x18 + offset
#define		V_R2Y_Y_OFFSET(offset)				0x1c + offset
#define		V_R2Y_CB_R_COEF(offset)				0x20 + offset
#define		V_R2Y_CB_G_COEF(offset)				0x24 + offset
#define		V_R2Y_CB_B_COEF(offset)				0x28 + offset
#define		V_R2Y_CB_OFFSET(offset)				0x2c + offset
#define		V_R2Y_CR_R_COEF(offset)				0x30 + offset
#define		V_R2Y_CR_G_COEF(offset)				0x34 + offset
#define		V_R2Y_CR_B_COEF(offset)				0x38 + offset
#define		V_R2Y_CR_OFFSET(offset)				0x3c + offset

#define		V_YUV_TO_RGB_EN(offset)				0x60 + offset
#define		V_YUV_TO_RGB_EN_ENABLE				0//Bit
#define		V_Y2R_G_Y_COEF(offset)				0x70 + offset
#define		V_Y2R_G_CB_COEF(offset)				0x74 + offset
#define		V_Y2R_G_CR_COEF(offset)				0x78 + offset
//#define	V_Y2R_Y_OFFSET(offset)				0x7c + offset
#define		V_Y2R_B_Y_COEF(offset)				0x80 + offset
#define		V_Y2R_B_CB_COEF(offset)				0x84 + offset
#define		V_Y2R_B_CR_COEF(offset)				0x88 + offset
//#define	V_Y2R_CB_OFFSET(offset)				0x8c + offset
#define		V_Y2R_R_Y_COEF(offset)				0x90 + offset
#define		V_Y2R_R_CB_COEF(offset)				0x94 + offset
#define		V_Y2R_R_CR_COEF(offset)				0x98 + offset
//#define	V_Y2R_CR_OFFSET(offset)				0x9c + offset
#define		V_Y2R_YY_OFFSET(offset)				0xa0 + offset
#define		V_Y2R_CCB_OFFSET(offset)			0xa4 + offset
#define		V_Y2R_CCR_OFFSET(offset)			0xa8 + offset


#ifdef __cplusplus
}
#endif

#endif /* CN312_REG_H */

